package com.gic.haoban.manage.api.enums;

/**
 * Created by tgs on 2020/2/20.
 */
public enum AppPageType {
	//工作台
    INDEX(1, ""),
    //门店详情
    STORE_DETAIL(2, "store_detail"),
    //任务详情(会话、话务、不良评价)
    TASK_DETAIL(3,	"hbapp_task_detail"),
    //日报详情
    DAILY_DETAIL(4,	"hbapp_task_daily_report_detail"),
    //指标管理详情
    PERFORMANCE_DETAIL(5,	"hbapp_task_kpi_detail"),
    //顾客详情
    CUSTOMER_DETAIL(6,	"hbapp_customer_detail"),
    //会员列表
    MEMBER_LIST(7,	"hbapp_customer_list"),
    //分配会员
    DISTRIBUTE_MEMBER(8,	"hbapp_customer_distribute"),
    //任务列表
    TASK_LIST(9,	"hbapp_task_list"),
    //商品详情
    GOOD_DETAIL(10,	"hbapp_commodity_detail");

    AppPageType(int type, String desc){
        this.code = type;
        this.desc = desc;
    }

    private int code;
    private String desc;
	public static String getDescByCode(int type) {
			for (AppPageType c : AppPageType.values()) {
				if (c.getCode() == type) {
					return c.desc;
				}
			}
			return null;
	}
    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }
}
