package com.gic.haoban.manage.service.service.out.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import cn.hutool.core.collection.CollectionUtil;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.ApplicationDTO;
import com.gic.haoban.manage.api.service.ApplicationApiService;
import com.gic.haoban.manage.service.dao.mapper.ApplicationMapper;
import com.gic.haoban.manage.service.entity.TabHaobanApplication;
import com.gic.haoban.manage.service.service.ApplicationService;

import org.springframework.stereotype.Service;

@Service
public class ApplicationApiServiceImpl implements ApplicationApiService {
	
	@Autowired
	private ApplicationService applicationService;
	@Autowired
	private ApplicationMapper applicationMapper;
	@Override
	public List<ApplicationDTO> listApplication() {
		List<TabHaobanApplication> list = applicationService.listApplication();
		return EntityUtil.changeEntityListByJSON(ApplicationDTO.class, list);
	}

	@Override
	public List<ApplicationDTO> listByApplications(List<String> applicationIds) {
		List<TabHaobanApplication> list = applicationMapper.listByApplicationIds(applicationIds);
		if(CollectionUtil.isEmpty(list)){
			return null;
		}
		List<ApplicationDTO> result = EntityUtil.changeEntityListByJSON(ApplicationDTO.class, list);
		return result;
	}

}
