package com.gic.haoban.manage.service.service;

import java.util.List;
import java.util.Set;

import com.gic.haoban.manage.api.dto.StaffDTO;
import com.gic.haoban.manage.service.entity.TabHaobanStaff;
import com.github.pagehelper.Page;

public interface StaffService {

	TabHaobanStaff selectById(String staffId);

	TabHaobanStaff selectByNationcodeAndPhoneNumber(String wxEnterpriseId,String nationcode, String phoneNumber);

	String add(TabHaobanStaff tab);

	Page<TabHaobanStaff> pageStaff(Set<String> staffIds, Integer activeFlag, String keyword);

	void updateByPrimaryKey(TabHaobanStaff tab);

	int delByuserid(String staffId);

	TabHaobanStaff selectByUserIdAndEnterpriseId(String userId, String wxEnterpriseId);

	List<StaffDTO> listByUserIdsAndWxEnterpriseId(List<String> userIds, String wxEnterpriseId);

}
