package com.gic.haoban.manage.service.service.impl;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.haoban.manage.service.dao.mapper.TabHaobanClerkMainStoreRelatedMapper;
import com.gic.haoban.manage.service.entity.TabHaobanClerkMainStoreRelated;
import com.gic.haoban.manage.service.service.ClerkMainStoreRelatedService;

@Service
public class ClerkMainStoreRelatedServiceImpl implements ClerkMainStoreRelatedService {
	
	@Autowired
	private TabHaobanClerkMainStoreRelatedMapper mapper;

	@Override
	public void setMainStore(String staffId, String storeId, String wxEnterpriseId) {
		String uuId = com.gic.haoban.common.utils.StringUtil.randomUUID();
		Date now = new Date();
		TabHaobanClerkMainStoreRelated t = new TabHaobanClerkMainStoreRelated();
		t.setStaffId(staffId);
		t.setWxEnterpriseId(wxEnterpriseId);
		t.setStoreId(storeId);
		t.setCreateTime(now);
		t.setUpdateTime(now);
		t.setStatusFlag(1);
		t.setClerkMainStoreRelatedId(uuId);
		mapper.insert(t);
		
	}

	@Override
	public TabHaobanClerkMainStoreRelated selectByWxEnterpriseIdAndStoreId(String staffId, String wxEnterpriseId) {
		return mapper.selectByWxEnterpriseIdAndStoreId(staffId,wxEnterpriseId);
	}

	@Override
	public void update(TabHaobanClerkMainStoreRelated r) {
		r.setUpdateTime(new Date());
		mapper.updateByPrimaryKeySelective(r);
	}

}
