package com.gic.haoban.manage.web.anno;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.concurrent.TimeUnit;
/**
 * 访问限制
 * 默认1秒
 * @author hzw
 *
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface HttpLimit {
     long time() default 1L;
     TimeUnit unit() default TimeUnit.SECONDS;
     int times() default 2;
}