package com.gic.haoban.manage.web.thread;

import com.gic.haoban.manage.web.controller.DepartmentContoller;
import com.gic.redis.data.util.RedisUtil;

public class SyncDepartmentThread extends Thread{
	
	DepartmentContoller departmentController;
	String editDepartment;
	String delDepartmentIds;
	String addDepartment;
	String key;
	
	@Override
    public void run() {
        System.out.println("【开始同步】" + System.currentTimeMillis());
        departmentController.syncDepartment(editDepartment, delDepartmentIds, addDepartment);
        RedisUtil.delCache(key);
        System.out.println("【结束同步】" + System.currentTimeMillis());
    }
	
	public SyncDepartmentThread(DepartmentContoller departmentController,String editDepartment,String delDepartmentIds,
			String addDepartment,String key){
		this.departmentController = departmentController;
		this.editDepartment = editDepartment;
		this.delDepartmentIds = delDepartmentIds;
		this.addDepartment = addDepartment;
		this.key = key;
	}
	

}
